Subject: Re: [PATCH v2 03/17] object-store: rename files to "odb.{c,h}"

From: Toon Claes <[email-masked]>
Date: Tue, 13 May 2025 21:28:50 +0200

Patrick Steinhardt <[email-masked]> writes:

> In the preceding commits we have renamed the structures contained in
> "object-store.h" to `struct object_database` and `struct odb_backend`.
> As such, the code files "object-store.{c,h}" are confusingly named now.
> Rename them to "odb.{c,h}" accordingly.

Do we have plans to extract the object database subsystem into a
subdirectory? With us adding multiple backends in the future, I can
image us having a dozen files at some point. So since we're renaming,
shall we prepare for that at once? Or will `odb.h` always be the root-level
entry point for the object database, and only live backends live in
`odb/` for example?

--
Toon